Bug 677119 - [l10n] RFE: Make template content in CreateBook.pm translatable
[l10n] RFE: Make template content in CreateBook.pm translatable
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.5
All All
unspecified Severity medium
: 3.0
: ---
Assigned To: Jeff Fearn
tools-bugs
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-13 09:20 EST by Thomas Canniot
Modified: 2012-10-30 23:11 EDT (History)
5 users (show)

See Also:
Fixed In Version: 3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 23:11:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thomas Canniot 2011-02-13 09:20:56 EST
Description of problem:
The 'Preface' string is not present inside the conventions.pot file of Publican. 'Preface' is translated 'Préface' in French and thus this string must be translatable.

See an example of untranslated 'Preface' in French documentation : http://mrtom.fedorapeople.org/power-management-guide-draft/fr-FR/html-single/#pref-blank-Preface

Version-Release number of selected component (if applicable):
publican-doc-2.5-1.fc14.noarch
publican-fedora-2.0-0.fc14.noarch
publican-2.5-1.fc14.noarch


How reproducible:
always



With regards,
Comment 1 Ruediger Landmann 2011-02-13 18:41:21 EST
(In reply to comment #0)
> Description of problem:
> The 'Preface' string is not present inside the conventions.pot file of
> Publican. 'Preface' is translated 'Préface' in French and thus this string must
> be translatable.

Hi Thomas

The "Preface" string belongs to the *book* not to Publican and is therefore already translatable. 

For example, look in the Preface.po file of any book and you will find an msgid for the <title> of the <preface> (by default, "Preface") 

That said, I think we should make the template strings translatable in the Publican POT file. Note that these translated strings will only be included in books originally created in the corresponding language. They would include the "Preface" title and some boilerplate content that we add to newly-created books like "This is a test paragraph." English translators would then need to translate "Préface" to "Preface" in their Preface.po file.

Cheers
Rudi
Comment 2 Jeff Fearn 2011-02-14 01:21:58 EST
Added many calls to maketext to allow default texts to be translated for create
book.

Committed revision 1716.
Comment 3 Jared MORGAN 2012-05-08 19:22:09 EDT
Documentation for this RFE does not seem to be required.
Comment 4 Michael Hideo 2012-06-07 21:20:44 EDT
Make .pot file and see if "preface" comes through translated.
Comment 5 Hedda Peters 2012-06-14 02:08:56 EDT
Verified (with Rudi's help - thanks!)

When creating a new book, setting German as original language with --lang de-DE, the build actually shows the strings "Preface", "Test Paragraph" etc. in German as expected.

Note You need to log in before you can comment on or make changes to this bug.